#!/bin/bash

# Change directory to directory containing vicfg script files
cd /usr/bin

# Resolves "server version unavailable" error caused by perl
# module wanting to check a certificate, which many not be
# available
export PERL_LWP_SSL_VERIFY_HOSTNAME=0

# Trigger the host to shutdown based upon its preconfigured
# settings. Be sure to change the server, username and password
# parameters before use
./vicfg-hostops --server 10.0.0.25 --username xxxx --password xxxx --operation shutdown --force

# Duplicate the above line as needed to shut down additional
# ESXi servers.
#./vicfg-hostops --server 10.0.0.26 --username xxxx --password xxxx --operation shutdown --force
#./vicfg-hostops --server 10.0.0.27 --username xxxx --password xxxx --operation shutdown --force
#./vicfg-hostops --server 10.0.0.28 --username xxxx --password xxxx --operation shutdown --force
