#!/bin/sh
LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/opt/vmware/vma/lib64:/opt/vmware/vma/lib
export LD_LIBRARY_PATH
export PERL_LWP_SSL_VERIFY_HOSTNAME=0
SAVEIFS=$IFS
IFS=$(echo -en "\n\b")
# Designate the ESXi host(s) to shut down
hosts=(10.0.0.25 10.0.0.26 10.0.0.27 10.0.0.28)
ups_vm="vSphere Management Assistant \(vMA\)"
# Change directory to directory containing vicfg script files
cd /usr/bin
for host in ${hosts[@]}; do
echo $host
source /opt/vmware/vma/bin/vifptarget -s $host
# Be sure to change the username and password parameters before use
for i in `vmware-cmd -l --username xxxxx --password xxxxx`; do 
if [ `vmware-cmd $i getstate | egrep -c "on"` -eq 1 ]; then 
echo $i 
if [ `echo $i | egrep -c $ups_vm` -eq 1 ]; then 
echo "Skip shut down of VMA"
else 
echo "Shutting down $i"
vmware-cmd "$i" stop soft 
fi 
fi
done
source /opt/vmware/vma/bin/vifptarget -c
# Trigger the host server to shut down. Be sure to change the username
# and password parameters before use.
./vicfg-hostops --server $host --username xxxxx --password xxxxx --operation shutdown --force
done